package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 权限组列
 * </p>
 *
 * @author mk
 * @since 2022-03-21
 */
@TableName("field_webpage_authority")
@ApiModel(value="FieldWebpageAuthority对象", description="权限组列")
public class FieldWebpageAuthority extends Model<FieldWebpageAuthority> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "页面id")
    @TableField("web_id")
    private Long webId;

    @ApiModelProperty(value = "权限id")
    @TableField("authority_id")
    private Long authorityId;

    @ApiModelProperty(value = "按钮名称")
    @TableField("cn_name")
    private String cnName;

    @ApiModelProperty(value = "按钮映射")
    @TableField("en_name")
    private String enName;

    @ApiModelProperty(value = "是否可筛选")
    @TableField("is_select")
    private Integer isSelect;

    @ApiModelProperty(value = "查询列可筛选")
    @TableField("nav_select")
    private Integer navSelect;

    @ApiModelProperty(value = "数据类型")
    @TableField("field_type")
    private String fieldType;

    @ApiModelProperty(value = "字段id")
    @TableField("field_id")
    private Long fieldId;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "选中")
    @TableField("check_status")
    private Integer checkStatus;

    @ApiModelProperty(value = "字段参数")
    @TableField("param")
    private String param;

    @ApiModelProperty(value = "页面显示")
    @TableField("is_table_show")
    private Integer isTableShow;

    @ApiModelProperty(value = "是否必选0:非必选;1:必选")
    @TableField("require_state")
    private Integer requireState;

    @ApiModelProperty(value = "宽度")
    @TableField("width")
    private Integer width;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getWebId() {
        return webId;
    }

    public void setWebId(Long webId) {
        this.webId = webId;
    }

    public Long getAuthorityId() {
        return authorityId;
    }

    public void setAuthorityId(Long authorityId) {
        this.authorityId = authorityId;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public Integer getIsSelect() {
        return isSelect;
    }

    public void setIsSelect(Integer isSelect) {
        this.isSelect = isSelect;
    }

    public Integer getNavSelect() {
        return navSelect;
    }

    public void setNavSelect(Integer navSelect) {
        this.navSelect = navSelect;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public Long getFieldId() {
        return fieldId;
    }

    public void setFieldId(Long fieldId) {
        this.fieldId = fieldId;
    }

    public Integer getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    public Integer getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public Integer getIsTableShow() {
        return isTableShow;
    }

    public void setIsTableShow(Integer isTableShow) {
        this.isTableShow = isTableShow;
    }

    public Integer getRequireState() {
        return requireState;
    }

    public void setRequireState(Integer requireState) {
        this.requireState = requireState;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "FieldWebpageAuthority{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", webId=" + webId +
        ", authorityId=" + authorityId +
        ", cnName=" + cnName +
        ", enName=" + enName +
        ", isSelect=" + isSelect +
        ", navSelect=" + navSelect +
        ", fieldType=" + fieldType +
        ", fieldId=" + fieldId +
        ", orderBy=" + orderBy +
        ", checkStatus=" + checkStatus +
        ", param=" + param +
        ", isTableShow=" + isTableShow +
        ", requireState=" + requireState +
        ", width=" + width +
        "}";
    }
}
